Subject: bug#77862: guix-daemon run as non-root sets up /etc/group incorrectly in build container

From: keinflue <[email-masked]>
Date: Sat, 19 Apr 2025 11:48:39 +0000

On 17.04.2025 18:51, Ludovic Courtès wrote:
> keinflue <[email-masked]> writes:
> 
>> Here are excerpts from the build log:
> 
> Thanks.
> 
>> Unfortunately I made a mistake and accidentally lost the container in
>> which I tried this, so I can not verify right now whether the patch
>> actually resolves the issue.
>> 
>> It might take me a day or two to restore it.
> 
> No worries, I’ll wait for your feedback.
> 
>> This happened either during or shortly after bootstrap builds, so I
>> don't know whether this was the final coreutils package or one from
>> commencement.scm.
> 
> OK.
> 
> If you have a setup for full rebuilds (no substitutes) running in a
> container, I’m curious to learn more about it!

I basically just used "guix shell -CN -D guix" plus some extra packages 
and shares. Inside the container I built and ran guix from git with 
--with-store-dir and NIX_STORE set to a different path than /gnu/store. 
Initially I forgot to add a share for /var which is why I unfortunately 
broke the container once I existed it.

> Ludo’.